%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%if 0%{?el6}%{?el7}
    # python3 and python version related macros
    # required to build python3- subpackage
    # are not available in el6 and epel7
    %global __python2       %{__python}
    %global python2_sitelib %{python_sitelib}
    %bcond_with python3
%else
    %bcond_without python3
%endif

# tests need internet connection, see similar case here:
# https://bugzilla.redhat.com/show_bug.cgi?id=864464#c15
# To build with tests, run rpmbuild --with tests -ba <spec>
%bcond_with     tests

%global         shortname sqlparse

Name:           python-%{shortname}
Version:        0.1.11
Release:        2%{?dist}
Summary:        Non-validating SQL parser for Python

Group:          Development/Languages
License:        BSD
URL:            https://github.com/andialbrecht/%{shortname}
Source0:        https://github.com/andialbrecht/%{shortname}/archive/%{version}/%{shortname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-tools
BuildRequires:  python-setuptools
BuildRequires:  python-py
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-tools
BuildRequires:  python3-setuptools
BuildRequires:  python3-py
%endif # with_python3

%if 0%{?with_tests}
BuildRequires:  pytest
BuildRequires:  python-pytest-cov
BuildRequires:  python-tox
BuildRequires:  python-virtualenv
%if 0%{?with_python3}
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
%endif # with_python3
%endif # with_tests

%description
sqlparse is a tool for parsing SQL strings.  It can generate pretty-printed
renderings of SQL in various formats.

It is a python module, together with a command-line tool.

%if 0%{?with_python3}
%package -n     python3-%{shortname}
Summary:        Non-validating SQL parser for Python
Group:          Development/Languages

%description -n python3-%{shortname}
sqlparse is a tool for parsing SQL strings.  It can generate pretty-printed
renderings of SQL in various formats.

It is a python module, together with a command-line tool.
%endif


%prep
%setup -q -n %{shortname}-%{version}

%if 0%{?with_python3}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3


%if 0%{?with_tests}
%check
tox -e py27

%if 0%{?with_python3}
pushd %{py3dir}
tox -e py33
popd
%endif # with_python3
%endif # with_tests


%files
%doc AUTHORS CHANGES COPYING README.rst
%{_bindir}/sqlformat
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{shortname}
%doc AUTHORS CHANGES COPYING README.rst
%{_bindir}/sqlformat
%{python3_sitelib}/*
%endif # with_python3

%changelog
* Mon May 12 2014 Honza Horak <hhorak@redhat.com> - 0.1.11-2
- Add python3 package

* Mon May 12 2014 Honza Horak <hhorak@redhat.com> - 0.1.11-1
- Rebase to 0.1.11
- Change the upstream URL

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun  3 2011 David Malcolm <dmalcolm@redhat.com> - 0.1.2-1
- 0.1.2

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 10 2009 David Malcolm <dmalcolm@redhat.com> - 0.1.1-4
- bump release to enable build

* Fri Jun  5 2009 David Malcolm <dmalcolm@redhat.com> - 0.1.1-3
- run the tests in the "check" section

* Fri Jun  5 2009 David Malcolm <dmalcolm@redhat.com> - 0.1.1-2
- run the selftests during the "build" phase

* Thu May 14 2009 David Malcolm <dmalcolm@redhat.com> - 0.1.1-1
- initial packaging

